{"models":[{"endpoint_id":"fal-ai/flux/dev","metadata":{"display_name":"FLUX.1 [dev]","category":"text-to-image","description":"FLUX.1 [dev] is a 12 billion parameter flow transformer that generates high-quality images from text. It is suitable for personal and commercial use.","status":"active","tags":[],"updated_at":"2026-04-21T17:47:32.206Z","is_favorited":null,"thumbnail_url":"https://storage.googleapis.com/fal_cdn/fal/Upscale-1.jpeg","model_url":"https://fal.run/fal-ai/flux/dev","license_type":"commercial","date":"2025-04-01T18:10:42.284Z","group":{"key":"flux-1","label":"Text to Image [dev]"},"highlighted":false,"kind":"inference","stream_url":"https://fal.run/fal-ai/flux/dev/stream","pinned":false},"retires_at":null,"replacement":null,"openapi":{"openapi":"3.1.0","info":{"title":"Queue OpenAPI for fal-ai/flux/dev","version":"1.0.0","description":"The OpenAPI schema for the fal-ai/flux/dev queue.","x-fal-metadata":{"endpointId":"fal-ai/flux/dev","category":"text-to-image","thumbnailUrl":"https://storage.googleapis.com/fal_cdn/fal/Upscale-1.jpeg","playgroundUrl":"https://fal.ai/models/fal-ai/flux/dev","documentationUrl":"https://fal.ai/models/fal-ai/flux/dev/api","about":"FLUX.1 [dev], next generation text-to-image model."}},"components":{"securitySchemes":{"apiKeyAuth":{"type":"apiKey","in":"header","name":"Authorization","description":"Fal Key"}},"schemas":{"QueueStatus":{"type":"object","properties":{"status":{"type":"string","enum":["IN_QUEUE","IN_PROGRESS","COMPLETED"]},"request_id":{"type":"string","description":"The request id."},"response_url":{"type":"string","description":"The response url."},"status_url":{"type":"string","description":"The status url."},"cancel_url":{"type":"string","description":"The cancel url."},"logs":{"type":"object","description":"The logs.","additionalProperties":true},"metrics":{"type":"object","description":"The metrics.","additionalProperties":true},"queue_position":{"type":"integer","description":"The queue position."}},"required":["status","request_id"]},"FluxDevInput":{"properties":{"sync_mode":{"default":false,"description":"If `True`, the media will be returned as a data URI and the output data won't be available in the request history.","type":"boolean","title":"Sync Mode"},"prompt":{"description":"The prompt to generate an image from.","type":"string","title":"Prompt","examples":["Extreme close-up of a single tiger eye, direct frontal view. Detailed iris and pupil. Sharp focus on eye texture and color. Natural lighting to capture authentic eye shine and depth. The word \"FLUX\" is painted over it in big, white brush strokes with visible texture."]},"num_inference_steps":{"maximum":50,"default":28,"description":"The number of inference steps to perform.","minimum":1,"title":"Num Inference Steps","type":"integer"},"enable_safety_checker":{"default":true,"description":"If set to true, the safety checker will be enabled. Disabling it requires account authorization; unauthorized requests are always checked, and images flagged as unsafe are returned as black images.","type":"boolean","title":"Enable Safety Checker"},"num_images":{"maximum":4,"default":1,"description":"The number of images to generate.","minimum":1,"title":"Num Images","type":"integer"},"seed":{"anyOf":[{"type":"integer"},{"type":"null"}],"description":"\n        The same seed and the same prompt given to the same version of the model\n        will output the same image every time.\n    ","title":"Seed"},"acceleration":{"default":"none","description":"The speed of the generation. The higher the speed, the faster the generation.","enum":["none","regular","high"],"title":"Acceleration","type":"string"},"output_format":{"default":"jpeg","description":"The format of the generated image.","enum":["jpeg","png"],"title":"Output Format","type":"string"},"guidance_scale":{"maximum":20,"default":3.5,"description":"\n        The CFG (Classifier Free Guidance) scale is a measure of how close you want\n        the model to stick to your prompt when looking for a related image to show you.\n    ","minimum":1,"title":"Guidance scale (CFG)","type":"number"},"image_size":{"default":"landscape_4_3","description":"The size of the generated image.","anyOf":[{"$ref":"#/components/schemas/ImageSize"},{"type":"string","enum":["square_hd","square","portrait_4_3","portrait_16_9","landscape_4_3","landscape_16_9"]}],"title":"Image Size"}},"x-fal-order-properties":["prompt","image_size","num_inference_steps","seed","guidance_scale","sync_mode","num_images","enable_safety_checker","output_format","acceleration"],"type":"object","title":"BaseInput","required":["prompt"]},"FluxDevOutput":{"properties":{"timings":{"type":"object","title":"Timings","additionalProperties":{"type":"number"}},"seed":{"description":"\n            Seed of the generated Image. It will be the same value of the one passed in the\n            input or the randomly generated that was used in case none was passed.\n        ","type":"integer","title":"Seed"},"prompt":{"description":"The prompt used for generating the image.","type":"string","title":"Prompt"},"images":{"items":{"$ref":"#/components/schemas/Image"},"description":"The generated image files info.","type":"array","title":"Images"},"has_nsfw_concepts":{"items":{"type":"boolean"},"description":"Whether the generated images contain NSFW concepts.","type":"array","title":"Has Nsfw Concepts"}},"x-fal-order-properties":["images","timings","seed","has_nsfw_concepts","prompt"],"type":"object","title":"Output","required":["images","timings","seed","has_nsfw_concepts","prompt"]},"ImageSize":{"properties":{"height":{"maximum":14142,"default":512,"description":"The height of the generated image.","exclusiveMinimum":0,"title":"Height","type":"integer"},"width":{"maximum":14142,"default":512,"description":"The width of the generated image.","exclusiveMinimum":0,"title":"Width","type":"integer"}},"x-fal-order-properties":["width","height"],"type":"object","title":"ImageSize"},"Image":{"properties":{"content_type":{"default":"image/jpeg","anyOf":[{"type":"string"},{"type":"null"}],"title":"Content Type"},"height":{"type":"integer","title":"Height"},"url":{"type":"string","title":"Url"},"width":{"type":"integer","title":"Width"}},"x-fal-order-properties":["url","width","height","content_type"],"type":"object","title":"Image","required":["url","width","height"]}}},"paths":{"/fal-ai/flux/dev/requests/{request_id}/status":{"get":{"parameters":[{"name":"request_id","in":"path","required":true,"schema":{"type":"string","description":"Request ID"}},{"name":"logs","in":"query","required":false,"schema":{"type":"number","description":"Whether to include logs (`1`) in the response or not (`0`)."}}],"responses":{"200":{"description":"The request status.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/QueueStatus"}}}}}}},"/fal-ai/flux/dev/requests/{request_id}/cancel":{"put":{"parameters":[{"name":"request_id","in":"path","required":true,"schema":{"type":"string","description":"Request ID"}}],"responses":{"200":{"description":"The request was cancelled.","content":{"application/json":{"schema":{"type":"object","properties":{"success":{"type":"boolean","description":"Whether the request was cancelled successfully."}}}}}}}}},"/fal-ai/flux/dev":{"post":{"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/FluxDevInput"}}}},"responses":{"200":{"description":"The request status.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/QueueStatus"}}}}}}},"/fal-ai/flux/dev/requests/{request_id}":{"get":{"parameters":[{"name":"request_id","in":"path","required":true,"schema":{"type":"string","description":"Request ID"}}],"responses":{"200":{"description":"Result of the request.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/FluxDevOutput"}}}}}}}},"servers":[{"url":"https://queue.fal.run"}],"security":[{"apiKeyAuth":[]}]}}],"next_cursor":null,"has_more":false}
